CRAN Package Check Results for Package maptools

Last updated on 2016-07-28 23:47:14.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 0.8-39 4.75 75.36 80.11 OK
r-devel-linux-x86_64-debian-gcc 0.8-39 5.49 70.63 76.12 OK
r-devel-linux-x86_64-fedora-clang 0.8-39 123.71 OK
r-devel-linux-x86_64-fedora-gcc 0.8-39 118.01 OK
r-devel-osx-x86_64-clang 0.8-39 103.47 OK
r-devel-windows-ix86+x86_64 0.8-39 30.00 207.00 237.00 OK
r-patched-linux-x86_64 0.8-39 5.32 71.83 77.14 OK
r-patched-solaris-sparc 0.8-39 770.90 OK
r-patched-solaris-x86 0.8-39 153.00 OK
r-release-linux-x86_64 0.8-39 4.64 71.25 75.89 OK
r-release-osx-x86_64-mavericks 0.8-39 ERROR
r-release-windows-ix86+x86_64 0.8-39 30.00 210.00 240.00 OK
r-oldrel-windows-ix86+x86_64 0.8-39 34.00 171.00 205.00 NOTE

Check Details

Version: 0.8-39
Check: package dependencies
Result: NOTE
    Package suggested but not available for checking: ‘rgeos’
Flavor: r-release-osx-x86_64-mavericks

Version: 0.8-39
Check: Rd cross-references
Result: NOTE
    Package unavailable to check Rd xrefs: ‘rgeos’
Flavor: r-release-osx-x86_64-mavericks

Version: 0.8-39
Check: examples
Result: ERROR
    Running examples in ‘maptools-Ex.R’ failed
    The error most likely occurred in:
    
    > ### Name: nowrapSpatialLines
    > ### Title: Split SpatialLines components at offset
    > ### Aliases: nowrapSpatialLines
    > ### Keywords: spatial
    >
    > ### ** Examples
    >
    > Sl <- SpatialLines(list(Lines(list(Line(cbind(sin(seq(-4,4,0.4)),
    + seq(1,21,1)))), "1")), proj4string=CRS("+proj=longlat +ellps=WGS84"))
    > summary(Sl)
    Object of class SpatialLines
    Coordinates:
     min max
    x -0.9995736 0.9995736
    y 1.0000000 21.0000000
    Is projected: FALSE
    proj4string : [+proj=longlat +ellps=WGS84]
    > nwSL <- nowrapSpatialLines(Sl)
    Error in nowrapSpatialLines(Sl) : package rgeos required
    Execution halted
Flavor: r-release-osx-x86_64-mavericks

Version: 0.8-39
Check: package dependencies
Result: NOTE
    Package which this enhances but not available for checking: 'gpclib'
Flavor: r-oldrel-windows-ix86+x86_64